;**********************************************************
;*  led_counter.HEX
;**********************************************************
;*  This file had been disassembled using unPIC.pl
;*  
;*  unPIC.pl is written by Tamas Rudnai
;*   -> based on Timo Rossi's work on pic14dis.c
;**********************************************************
;*  Please advised that unPIC.pl is not foolproof.
;*  It could happen that the code was not correctly
;*  reversed as the chip is not defined corretly
;*  or because of a bug in the tool's code.
;**********************************************************


        list p=16F870

        include "P16F870.INC"

                                    ; FFFFFFFF: 0000
        goto            label_1a7   ; 0000: 29A7

                                    ; 0003: 0000
        goto            label_149   ; 0004: 2949

;------------------------------------------------------------
sub_010
;
; called from: 0162
; called from: 016D
; called from: 0178
; called from: 0183
; called from: 018E
; called from: 0199

        addwf           PCL, f      ; 0010: 0782
        retlw           0x14        ; 0011: 3414
        retlw           0xb7        ; 0012: 34B7
        retlw           0x2c        ; 0013: 342C
        retlw           0x25        ; 0014: 3425
        retlw           0x87        ; 0015: 3487
        retlw           0x45        ; 0016: 3445
        retlw           0xc4        ; 0017: 34C4
        retlw           0x37        ; 0018: 3437
        retlw           0x04        ; 0019: 3404
        retlw           0x07        ; 001A: 3407
        retlw           0xff        ; 001B: 34FF
        retlw           0xef        ; 001C: 34EF
        retlw           0x7f        ; 001D: 347F
        retlw           0xbf        ; 001E: 34BF
        retlw           0xf7        ; 001F: 34F7
        retlw           0xfd        ; 0020: 34FD
        retlw           0xdf        ; 0021: 34DF
        retlw           0xfe        ; 0022: 34FE
;
; end of sub_010
;------------------------------------------------------------


;------------------------------------------------------------
sub_023
;
; called from: 0130
; called from: 028D
; called from: 028F
; called from: 0291
; called from: 0293
; called from: 0295
; called from: 0297
        movwf           mem_7f      ; 0023: 00FF

loop_024
; jump here from: 0025
        decfsz          mem_7f, f   ; 0024: 0BFF
        goto            loop_024    ; 0025: 2824

        return                      ; 0026: 0008
;
; end of loop_024
;------------------------------------------------------------


;------------------------------------------------------------
sub_027
;
; called from: 02A6
; called from: 02B0
; called from: 0344
; called from: 034C
; called from: 0354
; called from: 0360

sub_027
; jump here from: 0035
; jump here from: 0040
; jump here from: 0046
        movf            mem_7f, f   ; 0027: 08FF
        btfsc           STATUS, Z   ; 0028: 1903
        goto            zero_036    ; 0029: 2836

        decf            mem_7f, f   ; 002A: 03FF
        nop                         ; 002B: 0000
        nop                         ; 002C: 0000
        nop                         ; 002D: 0000
        nop                         ; 002E: 0000
        nop                         ; 002F: 0000
        nop                         ; 0030: 0000
        nop                         ; 0031: 0000
        nop                         ; 0032: 0000
        nop                         ; 0033: 0000
        nop                         ; 0034: 0000
        goto            sub_027     ; 0035: 2827

zero_036
; jump here from: 0029
        decf            mem_7f, f   ; 0036: 03FF
        movf            mem_7e, f   ; 0037: 08FE
        btfsc           STATUS, Z   ; 0038: 1903
        goto            zero_041    ; 0039: 2841

        decf            mem_7e, f   ; 003A: 03FE
        nop                         ; 003B: 0000
        nop                         ; 003C: 0000
        nop                         ; 003D: 0000
        nop                         ; 003E: 0000
        nop                         ; 003F: 0000
        goto            sub_027     ; 0040: 2827

zero_041
; jump here from: 0039
        decf            mem_7e, f   ; 0041: 03FE
        movf            mem_7d, f   ; 0042: 08FD
        btfsc           STATUS, Z   ; 0043: 1903
        return                      ; 0044: 0008
;
; end of zero_041
;------------------------------------------------------------

        decf            mem_7d, f   ; 0045: 03FD
        goto            sub_027     ; 0046: 2827

;------------------------------------------------------------
sub_047
;
; called from: 031A

        clrf            mem_4e
        clrf            mem_4f
        clrf            mem_50
        clrf            mem_51
        clrf            mem_52
        movlw           0x10        ; 004C: 3010
        movwf           mem_53      ; 004D: 00D3

loop_04e
; jump here from: 009D
        movlw           0x0f        ; 004E: 300F
        andwf           mem_4e, f   ; 004F: 05CE
        movf            mem_4e, W   ; 0050: 084E
        sublw           0x04        ; 0051: 3C04
        btfsc           STATUS, C   ; 0052: 1803
        goto            carry_056   ; 0053: 2856

        movlw           0x03        ; 0054: 3003
        addwf           mem_4e, f   ; 0055: 07CE

carry_056
; jump here from: 0053
        movlw           0x0f        ; 0056: 300F
        andwf           mem_4f, f   ; 0057: 05CF
        movf            mem_4f, W   ; 0058: 084F
        sublw           0x04        ; 0059: 3C04
        btfsc           STATUS, C   ; 005A: 1803
        goto            carry_05e   ; 005B: 285E

        movlw           0x03        ; 005C: 3003
        addwf           mem_4f, f   ; 005D: 07CF

carry_05e
; jump here from: 005B
        movlw           0x0f        ; 005E: 300F
        andwf           mem_50, f   ; 005F: 05D0
        movf            mem_50, W   ; 0060: 0850
        sublw           0x04        ; 0061: 3C04
        btfsc           STATUS, C   ; 0062: 1803
        goto            carry_066   ; 0063: 2866

        movlw           0x03        ; 0064: 3003
        addwf           mem_50, f   ; 0065: 07D0

carry_066
; jump here from: 0063
        movlw           0x0f        ; 0066: 300F
        andwf           mem_51, f   ; 0067: 05D1
        movf            mem_51, W   ; 0068: 0851
        sublw           0x04        ; 0069: 3C04
        btfsc           STATUS, C   ; 006A: 1803
        goto            carry_06e   ; 006B: 286E

        movlw           0x03        ; 006C: 3003
        addwf           mem_51, f   ; 006D: 07D1

carry_06e
; jump here from: 006B
        movlw           0x0f        ; 006E: 300F
        andwf           mem_52, f   ; 006F: 05D2
        movf            mem_52, W   ; 0070: 0852
        sublw           0x04        ; 0071: 3C04
        btfsc           STATUS, C   ; 0072: 1803
        goto            carry_076   ; 0073: 2876

        movlw           0x03        ; 0074: 3003
        addwf           mem_52, f   ; 0075: 07D2

carry_076
; jump here from: 0073
        nop                         ; 0076: 0000
        rlf             mem_52, f   ; 0077: 0DD2
        btfsc           mem_51, 3   ; 0078: 19D1
        goto            label_07c   ; 0079: 287C

        bcf             mem_52, 0   ; 007A: 1052
        goto            label_07d   ; 007B: 287D

label_07c
; jump here from: 0079
        bsf             mem_52, 0   ; 007C: 1452

label_07d
; jump here from: 007B
        rlf             mem_51, f   ; 007D: 0DD1
        btfsc           mem_50, 3   ; 007E: 19D0
        goto            label_082   ; 007F: 2882

        bcf             mem_51, 0   ; 0080: 1051
        goto            label_083   ; 0081: 2883

label_082
; jump here from: 007F
        bsf             mem_51, 0   ; 0082: 1451

label_083
; jump here from: 0081
        rlf             mem_50, f   ; 0083: 0DD0
        btfsc           mem_4f, 3   ; 0084: 19CF
        goto            label_088   ; 0085: 2888

        bcf             mem_50, 0   ; 0086: 1050
        goto            label_089   ; 0087: 2889

label_088
; jump here from: 0085
        bsf             mem_50, 0   ; 0088: 1450

label_089
; jump here from: 0087
        rlf             mem_4f, f   ; 0089: 0DCF
        btfsc           mem_4e, 3   ; 008A: 19CE
        goto            label_08e   ; 008B: 288E

        bcf             mem_4f, 0   ; 008C: 104F
        goto            label_08f   ; 008D: 288F

label_08e
; jump here from: 008B
        bsf             mem_4f, 0   ; 008E: 144F

label_08f
; jump here from: 008D
        rlf             mem_4e, f   ; 008F: 0DCE
        btfsc           mem_4d, 7   ; 0090: 1BCD
        goto            label_094   ; 0091: 2894

        bcf             mem_4e, 0   ; 0092: 104E
        goto            label_095   ; 0093: 2895

label_094
; jump here from: 0091
        bsf             mem_4e, 0   ; 0094: 144E

label_095
; jump here from: 0093
        rlf             mem_4d, f   ; 0095: 0DCD
        btfsc           mem_4c, 7   ; 0096: 1BCC
        goto            label_09a   ; 0097: 289A

        bcf             mem_4d, 0   ; 0098: 104D
        goto            label_09b   ; 0099: 289B

label_09a
; jump here from: 0097
        bsf             mem_4d, 0   ; 009A: 144D

label_09b
; jump here from: 0099
        rlf             mem_4c, f   ; 009B: 0DCC
        decfsz          mem_53, f   ; 009C: 0BD3
        goto            loop_04e    ; 009D: 284E

        movlw           0x0f        ; 009E: 300F
        andwf           mem_4e, f   ; 009F: 05CE
        andwf           mem_4f, f   ; 00A0: 05CF
        andwf           mem_50, f   ; 00A1: 05D0
        andwf           mem_51, f   ; 00A2: 05D1
        andwf           mem_52, f   ; 00A3: 05D2
        return                      ; 00A4: 0008
;
; end of label_09b
;------------------------------------------------------------


;------------------------------------------------------------
sub_0a5
;
; called from: 00AB
        comf            mem_5f, f   ; 00A5: 09DF
        incf            mem_5f, f   ; 00A6: 0ADF
        btfsc           STATUS, Z   ; 00A7: 1903
        decf            mem_5e, f   ; 00A8: 03DE
        comf            mem_5e, f   ; 00A9: 09DE
        return                      ; 00AA: 0008
;
; end of sub_0a5
;------------------------------------------------------------

        call            sub_0a5     ; 00AB: 20A5

        movf            mem_5d, W   ; 00AC: 085D
        addwf           mem_5f, f   ; 00AD: 07DF
        btfsc           STATUS, C   ; 00AE: 1803
        incf            mem_5e, f   ; 00AF: 0ADE
        movf            mem_5c, W   ; 00B0: 085C
        addwf           mem_5e, f   ; 00B1: 07DE
        return                      ; 00B2: 0008
;
; end of sub_0a5
;------------------------------------------------------------


;------------------------------------------------------------
sub_0b3
;
; called from: 00F0
; called from: 00FE
        movf            mem_40, W   ; 00B3: 0840
        addwf           mem_44, W   ; 00B4: 0744
        movwf           mem_48      ; 00B5: 00C8
        btfsc           STATUS, C   ; 00B6: 1803
        goto            carry_0bc   ; 00B7: 28BC

        movf            mem_41, W   ; 00B8: 0841
        addwf           mem_45, W   ; 00B9: 0745
        movwf           mem_49      ; 00BA: 00C9
        goto            label_0c8   ; 00BB: 28C8

carry_0bc
; jump here from: 00B7
        movlw           0x01        ; 00BC: 3001
        addwf           mem_41, W   ; 00BD: 0741
        movwf           mem_49      ; 00BE: 00C9
        btfsc           STATUS, C   ; 00BF: 1803
        goto            carry_0c4   ; 00C0: 28C4

        movf            mem_45, W   ; 00C1: 0845
        addwf           mem_49, f   ; 00C2: 07C9
        goto            label_0c8   ; 00C3: 28C8

carry_0c4
; jump here from: 00C0
        movf            mem_45, W   ; 00C4: 0845
        addwf           mem_49, f   ; 00C5: 07C9
        bsf             STATUS, C   ; 00C6: 1403
        goto            carry_0ce   ; 00C7: 28CE

label_0c8
; jump here from: 00BB
; jump here from: 00C3
        btfsc           STATUS, C   ; 00C8: 1803
        goto            carry_0ce   ; 00C9: 28CE

        movf            mem_42, W   ; 00CA: 0842
        addwf           mem_46, W   ; 00CB: 0746
        movwf           mem_4a      ; 00CC: 00CA
        goto            label_0da   ; 00CD: 28DA

carry_0ce
; jump here from: 00C7
; jump here from: 00C9
        movlw           0x01        ; 00CE: 3001
        addwf           mem_42, W   ; 00CF: 0742
        movwf           mem_4a      ; 00D0: 00CA
        btfsc           STATUS, C   ; 00D1: 1803
        goto            carry_0d6   ; 00D2: 28D6

        movf            mem_46, W   ; 00D3: 0846
        addwf           mem_4a, f   ; 00D4: 07CA
        goto            label_0da   ; 00D5: 28DA

carry_0d6
; jump here from: 00D2
        movf            mem_46, W   ; 00D6: 0846
        addwf           mem_4a, f   ; 00D7: 07CA
        bsf             STATUS, C   ; 00D8: 1403
        goto            carry_0e0   ; 00D9: 28E0

label_0da
; jump here from: 00CD
; jump here from: 00D5
        btfsc           STATUS, C   ; 00DA: 1803
        goto            carry_0e0   ; 00DB: 28E0

        movf            mem_47, W   ; 00DC: 0847
        addwf           mem_43, W   ; 00DD: 0743
        movwf           mem_4b      ; 00DE: 00CB
        return                      ; 00DF: 0008
;
; end of label_0da
;------------------------------------------------------------


carry_0e0
; jump here from: 00D9
; jump here from: 00DB
        movlw           0x01        ; 00E0: 3001
        addwf           mem_43, W   ; 00E1: 0743
        movwf           mem_4b      ; 00E2: 00CB
        btfsc           STATUS, C   ; 00E3: 1803
        goto            carry_0e8   ; 00E4: 28E8

        movf            mem_47, W   ; 00E5: 0847
        addwf           mem_4b, f   ; 00E6: 07CB
        return                      ; 00E7: 0008
;
; end of carry_0e0
;------------------------------------------------------------


carry_0e8
; jump here from: 00E4
        movf            mem_47, W   ; 00E8: 0847
        addwf           mem_4b, f   ; 00E9: 07CB
        bsf             STATUS, C   ; 00EA: 1403
        return                      ; 00EB: 0008
;
; end of carry_0e8
;------------------------------------------------------------


;------------------------------------------------------------
sub_0ec
;
; called from: 02CB
; called from: 02DB
; called from: 02F2
; called from: 030B
        comf            mem_44, f   ; 00EC: 09C4
        comf            mem_45, f   ; 00ED: 09C5
        comf            mem_46, f   ; 00EE: 09C6
        comf            mem_47, f   ; 00EF: 09C7
        call            sub_0b3     ; 00F0: 20B3

        movf            mem_4b, W   ; 00F1: 084B
        movwf           mem_43      ; 00F2: 00C3
        movf            mem_4a, W   ; 00F3: 084A
        movwf           mem_42      ; 00F4: 00C2
        movf            mem_49, W   ; 00F5: 0849
        movwf           mem_41      ; 00F6: 00C1
        movf            mem_48, W   ; 00F7: 0848
        movwf           mem_40      ; 00F8: 00C0
        clrf            mem_47
        clrf            mem_46
        clrf            mem_45
        movlw           0x01        ; 00FC: 3001
        movwf           mem_44      ; 00FD: 00C4
        call            sub_0b3     ; 00FE: 20B3

        return                      ; 00FF: 0008
;
; end of sub_0ec
;------------------------------------------------------------


;------------------------------------------------------------
sub_100
;
; called from: 0138
; called from: 013F
; called from: 0147
; called from: 01D8
; called from: 01DF
        bcf             PORTC, 1    ; 0100: 1087
        bcf             PORTC, 3    ; 0101: 1187
        movlw           0x02        ; 0102: 3002
        movwf           mem_57      ; 0103: 00D7

loop_104
; jump here from: 010F
        bcf             PORTC, 1    ; 0104: 1087
        btfss           mem_56, 1   ; 0105: 1CD6
        goto            label_109   ; 0106: 2909

        bsf             PORTC, 2    ; 0107: 1507
        goto            label_10a   ; 0108: 290A

label_109
; jump here from: 0106
        bcf             PORTC, 2    ; 0109: 1107

label_10a
; jump here from: 0108
        call            sub_12f     ; 010A: 212F

        rlf             mem_56, f   ; 010B: 0DD6
        bsf             PORTC, 1    ; 010C: 1487
        call            sub_12f     ; 010D: 212F

        decfsz          mem_57, f   ; 010E: 0BD7
        goto            loop_104    ; 010F: 2904

        movlw           0x08        ; 0110: 3008
        movwf           mem_57      ; 0111: 00D7

loop_112
; jump here from: 011D
        bcf             PORTC, 1    ; 0112: 1087
        btfss           mem_55, 7   ; 0113: 1FD5
        goto            label_117   ; 0114: 2917

        bsf             PORTC, 2    ; 0115: 1507
        goto            label_118   ; 0116: 2918

label_117
; jump here from: 0114
        bcf             PORTC, 2    ; 0117: 1107

label_118
; jump here from: 0116
        call            sub_12f     ; 0118: 212F

        rlf             mem_55, f   ; 0119: 0DD5
        bsf             PORTC, 1    ; 011A: 1487
        call            sub_12f     ; 011B: 212F

        decfsz          mem_57, f   ; 011C: 0BD7
        goto            loop_112    ; 011D: 2912

        movlw           0x08        ; 011E: 3008
        movwf           mem_57      ; 011F: 00D7

loop_120
; jump here from: 012B
        bcf             PORTC, 1    ; 0120: 1087
        btfss           mem_54, 7   ; 0121: 1FD4
        goto            label_125   ; 0122: 2925

        bsf             PORTC, 2    ; 0123: 1507
        goto            label_126   ; 0124: 2926

label_125
; jump here from: 0122
        bcf             PORTC, 2    ; 0125: 1107

label_126
; jump here from: 0124
        call            sub_12f     ; 0126: 212F

        rlf             mem_54, f   ; 0127: 0DD4
        bsf             PORTC, 1    ; 0128: 1487
        call            sub_12f     ; 0129: 212F

        decfsz          mem_57, f   ; 012A: 0BD7
        goto            loop_120    ; 012B: 2920

        bsf             PORTC, 3    ; 012C: 1587
        call            sub_12f     ; 012D: 212F

        return                      ; 012E: 0008
;
; end of label_126
;------------------------------------------------------------


;------------------------------------------------------------
sub_12f
;
; called from: 010A
; called from: 010D
; called from: 0118
; called from: 011B
; called from: 0126
; called from: 0129
; called from: 012D
        movlw           0x80        ; 012F: 3080
        call            sub_023     ; 0130: 2023

        return                      ; 0131: 0008
;
; end of sub_12f
;------------------------------------------------------------

        movlw           0xa2        ; 0132: 30A2
        movwf           mem_54      ; 0133: 00D4
        movlw           0x00        ; 0134: 3000
        movwf           mem_55      ; 0135: 00D5
        movlw           0x00        ; 0136: 3000
        movwf           mem_56      ; 0137: 00D6
        call            sub_100     ; 0138: 2100

        movlw           0xb8        ; 0139: 30B8
        movwf           mem_54      ; 013A: 00D4
        movlw           0x0e        ; 013B: 300E
        movwf           mem_55      ; 013C: 00D5
        movlw           0x00        ; 013D: 3000
        movwf           mem_56      ; 013E: 00D6
        call            sub_100     ; 013F: 2100

        call            sub_34e     ; 0140: 234E

        movlw           0x09        ; 0141: 3009
        movwf           mem_54      ; 0142: 00D4
        movlw           0xa3        ; 0143: 30A3
        movwf           mem_55      ; 0144: 00D5
        movlw           0x00        ; 0145: 3000
        movwf           mem_56      ; 0146: 00D6
        call            sub_100     ; 0147: 2100

        return                      ; 0148: 0008
;
; end of sub_12f
;------------------------------------------------------------


label_149
; jump here from: 0004
        movwf           PIR2        ; 0149: 008D
        movf            STATUS, W   ; 014A: 0803
        movwf           PIR1        ; 014B: 008C
        bcf             PORTC, 5    ; 014C: 1287
        bcf             PORTC, 4    ; 014D: 1207
        bcf             PORTA, 3    ; 014E: 1185
        bcf             PORTA, 0    ; 014F: 1005
        bcf             PORTA, 1    ; 0150: 1085
        bcf             PORTA, 2    ; 0151: 1105
        btfsc           mem_20, 0   ; 0152: 1820
        goto            label_15f   ; 0153: 295F

        btfsc           mem_20, 1   ; 0154: 18A0
        goto            label_16a   ; 0155: 296A

        btfsc           mem_20, 2   ; 0156: 1920
        goto            label_175   ; 0157: 2975

        btfsc           mem_20, 3   ; 0158: 19A0
        goto            label_180   ; 0159: 2980

        btfsc           mem_20, 4   ; 015A: 1A20
        goto            label_18b   ; 015B: 298B

        btfsc           mem_20, 5   ; 015C: 1AA0
        goto            label_196   ; 015D: 2996
        goto            label_196   ; 015E: 2996
;
; end of label_149
;------------------------------------------------------------


label_15f
; jump here from: 0153
        movlw           0x02        ; 015F: 3002
        movwf           mem_20      ; 0160: 00A0
        movf            mem_26, W   ; 0161: 0826
        call            sub_010     ; 0162: 2010

        movwf           PORTB       ; 0163: 0086
        btfsc           mem_27, 0   ; 0164: 1827
        goto            label_167   ; 0165: 2967
        goto            label_168   ; 0166: 2968
;
; end of label_15f
;------------------------------------------------------------


label_167
; jump here from: 0165
        bcf             PORTB, 2    ; 0167: 1106

label_168
; jump here from: 0166
        bsf             PORTC, 5    ; 0168: 1687
        goto            label_1a1   ; 0169: 29A1

label_16a
; jump here from: 0155
        movlw           0x04        ; 016A: 3004
        movwf           mem_20      ; 016B: 00A0
        movf            mem_25, W   ; 016C: 0825
        call            sub_010     ; 016D: 2010

        movwf           PORTB       ; 016E: 0086
        btfsc           mem_27, 1   ; 016F: 18A7
        goto            label_172   ; 0170: 2972
        goto            label_173   ; 0171: 2973
;
; end of label_16a
;------------------------------------------------------------


label_172
; jump here from: 0170
        bcf             PORTB, 2    ; 0172: 1106

label_173
; jump here from: 0171
        bsf             PORTC, 4    ; 0173: 1607
        goto            label_1a1   ; 0174: 29A1

label_175
; jump here from: 0157
        movlw           0x08        ; 0175: 3008
        movwf           mem_20      ; 0176: 00A0
        movf            mem_24, W   ; 0177: 0824
        call            sub_010     ; 0178: 2010

        movwf           PORTB       ; 0179: 0086
        btfsc           mem_27, 2   ; 017A: 1927
        goto            label_17d   ; 017B: 297D
        goto            label_17e   ; 017C: 297E
;
; end of label_175
;------------------------------------------------------------


label_17d
; jump here from: 017B
        bcf             PORTB, 2    ; 017D: 1106

label_17e
; jump here from: 017C
        bsf             PORTA, 3    ; 017E: 1585
        goto            label_1a1   ; 017F: 29A1

label_180
; jump here from: 0159
        movlw           0x10        ; 0180: 3010
        movwf           mem_20      ; 0181: 00A0
        movf            mem_23, W   ; 0182: 0823
        call            sub_010     ; 0183: 2010

        movwf           PORTB       ; 0184: 0086
        btfsc           mem_27, 3   ; 0185: 19A7
        goto            label_188   ; 0186: 2988
        goto            label_189   ; 0187: 2989
;
; end of label_180
;------------------------------------------------------------


label_188
; jump here from: 0186
        bcf             PORTB, 2    ; 0188: 1106

label_189
; jump here from: 0187
        bsf             PORTA, 0    ; 0189: 1405
        goto            label_1a1   ; 018A: 29A1

label_18b
; jump here from: 015B
        movlw           0x20        ; 018B: 3020
        movwf           mem_20      ; 018C: 00A0
        movf            mem_22, W   ; 018D: 0822
        call            sub_010     ; 018E: 2010

        movwf           PORTB       ; 018F: 0086
        btfsc           mem_27, 4   ; 0190: 1A27
        goto            label_193   ; 0191: 2993
        goto            label_194   ; 0192: 2994
;
; end of label_18b
;------------------------------------------------------------


label_193
; jump here from: 0191
        bcf             PORTB, 2    ; 0193: 1106

label_194
; jump here from: 0192
        bsf             PORTA, 1    ; 0194: 1485
        goto            label_1a1   ; 0195: 29A1

label_196
; jump here from: 015D
; jump here from: 015E
        movlw           0x01        ; 0196: 3001
        movwf           mem_20      ; 0197: 00A0
        movf            mem_21, W   ; 0198: 0821
        call            sub_010     ; 0199: 2010

        movwf           PORTB       ; 019A: 0086
        btfsc           mem_27, 5   ; 019B: 1AA7
        goto            label_19e   ; 019C: 299E
        goto            label_19f   ; 019D: 299F
;
; end of label_196
;------------------------------------------------------------


label_19e
; jump here from: 019C
        bcf             PORTB, 2    ; 019E: 1106

label_19f
; jump here from: 019D
        bsf             PORTA, 2    ; 019F: 1505
        goto            label_1a1   ; 01A0: 29A1

label_1a1
; jump here from: 0169
; jump here from: 0174
; jump here from: 017F
; jump here from: 018A
; jump here from: 0195
; jump here from: 01A0
        movlw           0xa0        ; 01A1: 30A0
        movwf           INTCON      ; 01A2: 008B
        movf            PIR1, W     ; 01A3: 080C
        movwf           STATUS      ; 01A4: 0083
        movf            PIR2, W     ; 01A5: 080D
        retfie                      ; 01A6: 0009
;
; end of label_1a1
;------------------------------------------------------------


label_1a7
; jump here from: 0000
        nop                         ; 01A7: 0000
        bsf             STATUS, RP0 ; 01A8: 1683
        bcf             STATUS, RP1 ; 01A9: 1303
        bcf             PORTA, 0    ; 01AA: 1005
        bcf             PORTA, 1    ; 01AB: 1085
        bcf             PORTA, 2    ; 01AC: 1105
        bcf             PORTA, 3    ; 01AD: 1185
        bsf             PORTA, 4    ; 01AE: 1605
        bsf             PORTA, 5    ; 01AF: 1685
        bcf             PORTB, 0    ; 01B0: 1006
        bcf             PORTB, 1    ; 01B1: 1086
        bcf             PORTB, 2    ; 01B2: 1106
        bcf             PORTB, 3    ; 01B3: 1186
        bcf             PORTB, 4    ; 01B4: 1206
        bcf             PORTB, 5    ; 01B5: 1286
        bcf             PORTB, 6    ; 01B6: 1306
        bcf             PORTB, 7    ; 01B7: 1386
        bsf             PORTC, 0    ; 01B8: 1407
        bcf             PORTC, 1    ; 01B9: 1087
        bcf             PORTC, 2    ; 01BA: 1107
        bcf             PORTC, 3    ; 01BB: 1187
        bcf             PORTC, 4    ; 01BC: 1207
        bcf             PORTC, 5    ; 01BD: 1287
        bcf             PORTC, 6    ; 01BE: 1307
        bsf             PORTC, 7    ; 01BF: 1787
        bcf             STATUS, RP0 ; 01C0: 1283
        clrf            PORTB
        bsf             STATUS, RP0 ; 01C2: 1683
        bcf             STATUS, RP1 ; 01C3: 1303
        movlw           0x03        ; 01C4: 3003
        movwf           TMR0        ; 01C5: 0081
        movlw           0x86        ; 01C6: 3086
        movwf           ADCON0      ; 01C7: 009F
        movlw           0x20        ; 01C8: 3020
        movwf           RCSTA       ; 01C9: 0098
        movlw           0xa8        ; 01CA: 30A8
        movwf           TXREG       ; 01CB: 0099
        bcf             STATUS, RP0 ; 01CC: 1283
        movlw           0x80        ; 01CD: 3080
        movwf           RCSTA       ; 01CE: 0098
        clrf            mem_27
        movlw           0x20        ; 01D0: 3020
        movwf           INTCON      ; 01D1: 008B
        movlw           0x00        ; 01D2: 3000
        movwf           mem_56      ; 01D3: 00D6
        movlw           0x58        ; 01D4: 3058
        movwf           mem_55      ; 01D5: 00D5
        movlw           0x05        ; 01D6: 3005
        movwf           mem_54      ; 01D7: 00D4
        call            sub_100     ; 01D8: 2100

        movlw           0x00        ; 01D9: 3000
        movwf           mem_56      ; 01DA: 00D6
        movlw           0x02        ; 01DB: 3002
        movwf           mem_55      ; 01DC: 00D5
        movlw           0x00        ; 01DD: 3000
        movwf           mem_54      ; 01DE: 00D4
        call            sub_100     ; 01DF: 2100

        movlw           0xa0        ; 01E0: 30A0
        movwf           INTCON      ; 01E1: 008B
        movlw           0x0c        ; 01E2: 300C
        movwf           mem_21      ; 01E3: 00A1
        movlw           0x0a        ; 01E4: 300A
        movwf           mem_22      ; 01E5: 00A2
        movlw           0x0a        ; 01E6: 300A
        movwf           mem_23      ; 01E7: 00A3
        movlw           0x0a        ; 01E8: 300A
        movwf           mem_24      ; 01E9: 00A4
        movlw           0x0a        ; 01EA: 300A
        movwf           mem_25      ; 01EB: 00A5
        movlw           0x0a        ; 01EC: 300A
        movwf           mem_26      ; 01ED: 00A6
        call            sub_346     ; 01EE: 2346

        movlw           0x0a        ; 01EF: 300A
        movwf           mem_21      ; 01F0: 00A1
        movlw           0x0c        ; 01F1: 300C
        movwf           mem_22      ; 01F2: 00A2
        call            sub_346     ; 01F3: 2346

        movlw           0x0a        ; 01F4: 300A
        movwf           mem_22      ; 01F5: 00A2
        movlw           0x0c        ; 01F6: 300C
        movwf           mem_23      ; 01F7: 00A3
        call            sub_346     ; 01F8: 2346

        movlw           0x0a        ; 01F9: 300A
        movwf           mem_23      ; 01FA: 00A3
        movlw           0x0c        ; 01FB: 300C
        movwf           mem_24      ; 01FC: 00A4
        call            sub_346     ; 01FD: 2346

        movlw           0x0a        ; 01FE: 300A
        movwf           mem_24      ; 01FF: 00A4
        movlw           0x0c        ; 0200: 300C
        movwf           mem_25      ; 0201: 00A5
        call            sub_346     ; 0202: 2346

        movlw           0x0a        ; 0203: 300A
        movwf           mem_25      ; 0204: 00A5
        movlw           0x0c        ; 0205: 300C
        movwf           mem_26      ; 0206: 00A6
        call            sub_346     ; 0207: 2346

        movlw           0x0d        ; 0208: 300D
        movwf           mem_26      ; 0209: 00A6
        call            sub_346     ; 020A: 2346

        movlw           0x0e        ; 020B: 300E
        movwf           mem_26      ; 020C: 00A6
        call            sub_346     ; 020D: 2346

        movlw           0x0f        ; 020E: 300F
        movwf           mem_26      ; 020F: 00A6
        call            sub_346     ; 0210: 2346

        movlw           0x0f        ; 0211: 300F
        movwf           mem_25      ; 0212: 00A5
        movlw           0x0a        ; 0213: 300A
        movwf           mem_26      ; 0214: 00A6
        call            sub_346     ; 0215: 2346

        movlw           0x0f        ; 0216: 300F
        movwf           mem_24      ; 0217: 00A4
        movlw           0x0a        ; 0218: 300A
        movwf           mem_25      ; 0219: 00A5
        call            sub_346     ; 021A: 2346

        movlw           0x0f        ; 021B: 300F
        movwf           mem_23      ; 021C: 00A3
        movlw           0x0a        ; 021D: 300A
        movwf           mem_24      ; 021E: 00A4
        call            sub_346     ; 021F: 2346

        movlw           0x0f        ; 0220: 300F
        movwf           mem_22      ; 0221: 00A2
        movlw           0x0a        ; 0222: 300A
        movwf           mem_23      ; 0223: 00A3
        call            sub_346     ; 0224: 2346

        movlw           0x0f        ; 0225: 300F
        movwf           mem_21      ; 0226: 00A1
        movlw           0x0a        ; 0227: 300A
        movwf           mem_22      ; 0228: 00A2
        call            sub_346     ; 0229: 2346

        movlw           0x11        ; 022A: 3011
        movwf           mem_21      ; 022B: 00A1
        call            sub_346     ; 022C: 2346

        movlw           0x10        ; 022D: 3010
        movwf           mem_21      ; 022E: 00A1
        call            sub_346     ; 022F: 2346

        movlw           0x0c        ; 0230: 300C
        movwf           mem_21      ; 0231: 00A1
        movlw           0x0a        ; 0232: 300A
        movwf           mem_22      ; 0233: 00A2
        movlw           0x0a        ; 0234: 300A
        movwf           mem_23      ; 0235: 00A3
        movlw           0x0a        ; 0236: 300A
        movwf           mem_24      ; 0237: 00A4
        movlw           0x0a        ; 0238: 300A
        movwf           mem_25      ; 0239: 00A5
        movlw           0x0a        ; 023A: 300A
        movwf           mem_26      ; 023B: 00A6
        call            sub_346     ; 023C: 2346

        movlw           0x0a        ; 023D: 300A
        movwf           mem_21      ; 023E: 00A1
        movlw           0x0c        ; 023F: 300C
        movwf           mem_22      ; 0240: 00A2
        call            sub_346     ; 0241: 2346

        movlw           0x0a        ; 0242: 300A
        movwf           mem_22      ; 0243: 00A2
        movlw           0x0c        ; 0244: 300C
        movwf           mem_23      ; 0245: 00A3
        call            sub_346     ; 0246: 2346

        movlw           0x0a        ; 0247: 300A
        movwf           mem_23      ; 0248: 00A3
        movlw           0x0c        ; 0249: 300C
        movwf           mem_24      ; 024A: 00A4
        call            sub_346     ; 024B: 2346

        movlw           0x0a        ; 024C: 300A
        movwf           mem_24      ; 024D: 00A4
        movlw           0x0c        ; 024E: 300C
        movwf           mem_25      ; 024F: 00A5
        call            sub_346     ; 0250: 2346

        movlw           0x0a        ; 0251: 300A
        movwf           mem_25      ; 0252: 00A5
        movlw           0x0c        ; 0253: 300C
        movwf           mem_26      ; 0254: 00A6
        call            sub_346     ; 0255: 2346

        movlw           0x0d        ; 0256: 300D
        movwf           mem_26      ; 0257: 00A6
        call            sub_346     ; 0258: 2346

        movlw           0x0e        ; 0259: 300E
        movwf           mem_26      ; 025A: 00A6
        call            sub_346     ; 025B: 2346

        movlw           0x0f        ; 025C: 300F
        movwf           mem_26      ; 025D: 00A6
        call            sub_346     ; 025E: 2346

        movlw           0x0f        ; 025F: 300F
        movwf           mem_25      ; 0260: 00A5
        movlw           0x0a        ; 0261: 300A
        movwf           mem_26      ; 0262: 00A6
        call            sub_346     ; 0263: 2346

        movlw           0x0f        ; 0264: 300F
        movwf           mem_24      ; 0265: 00A4
        movlw           0x0a        ; 0266: 300A
        movwf           mem_25      ; 0267: 00A5
        call            sub_346     ; 0268: 2346

        movlw           0x0f        ; 0269: 300F
        movwf           mem_23      ; 026A: 00A3
        movlw           0x0a        ; 026B: 300A
        movwf           mem_24      ; 026C: 00A4
        call            sub_346     ; 026D: 2346

        movlw           0x0f        ; 026E: 300F
        movwf           mem_22      ; 026F: 00A2
        movlw           0x0a        ; 0270: 300A
        movwf           mem_23      ; 0271: 00A3
        call            sub_346     ; 0272: 2346

        movlw           0x0f        ; 0273: 300F
        movwf           mem_21      ; 0274: 00A1
        movlw           0x0a        ; 0275: 300A
        movwf           mem_22      ; 0276: 00A2
        call            sub_346     ; 0277: 2346

        movlw           0x11        ; 0278: 3011
        movwf           mem_21      ; 0279: 00A1
        call            sub_346     ; 027A: 2346

        movlw           0x10        ; 027B: 3010
        movwf           mem_21      ; 027C: 00A1
        call            sub_346     ; 027D: 2346

label_27e
; jump here from: 0345
        movlw           0xff        ; 027E: 30FF
        movwf           PORTB       ; 027F: 0086
        movlw           0x20        ; 0280: 3020
        movwf           INTCON      ; 0281: 008B
        movlw           0x06        ; 0282: 3006
        movwf           T1CON       ; 0283: 0090
        clrf            PIR1
        clrf            TMR1L
        clrf            TMR1H
        clrf            mem_28
        movlw           0x2c        ; 0288: 302C
        movwf           mem_31      ; 0289: 00B1
        movlw           0x07        ; 028A: 3007
        movwf           T1CON       ; 028B: 0090

loop_28c
; jump here from: 029F
        movlw           0xff        ; 028C: 30FF
        call            sub_023     ; 028D: 2023

        movlw           0xff        ; 028E: 30FF
        call            sub_023     ; 028F: 2023

        movlw           0xff        ; 0290: 30FF
        call            sub_023     ; 0291: 2023

        movlw           0xff        ; 0292: 30FF
        call            sub_023     ; 0293: 2023

        movlw           0xff        ; 0294: 30FF
        call            sub_023     ; 0295: 2023

        movlw           0xf8        ; 0296: 30F8
        call            sub_023     ; 0297: 2023

        btfsc           PIR1, TMR1IF; 0298: 180C
        goto            label_29c   ; 0299: 2A9C

        nop                         ; 029A: 0000
        goto            label_29e   ; 029B: 2A9E

label_29c
; jump here from: 0299
        clrf            PIR1
        incf            mem_28, f   ; 029D: 0AA8

label_29e
; jump here from: 029B
        decfsz          mem_31, f   ; 029E: 0BB1
        goto            loop_28c    ; 029F: 2A8C

        movlw           0x00        ; 02A0: 3000
        movwf           mem_7d      ; 02A1: 00FD
        movlw           0x00        ; 02A2: 3000
        movwf           mem_7e      ; 02A3: 00FE
        movlw           0x54        ; 02A4: 3054
        movwf           mem_7f      ; 02A5: 00FF
        call            sub_027     ; 02A6: 2027

        nop                         ; 02A7: 0000
        nop                         ; 02A8: 0000
        nop                         ; 02A9: 0000
        movlw           0x00        ; 02AA: 3000
        movwf           mem_7d      ; 02AB: 00FD
        movlw           0x00        ; 02AC: 3000
        movwf           mem_7e      ; 02AD: 00FE
        movlw           0xf6        ; 02AE: 30F6
        movwf           mem_7f      ; 02AF: 00FF
        call            sub_027     ; 02B0: 2027

        movlw           0x06        ; 02B1: 3006
        movwf           T1CON       ; 02B2: 0090
        btfsc           PIR1, TMR1IF; 02B3: 180C
        goto            label_2b6   ; 02B4: 2AB6
        goto            label_2b8   ; 02B5: 2AB8
;
; end of label_29e
;------------------------------------------------------------


label_2b6
; jump here from: 02B4
        clrf            PIR1
        incf            mem_28, f   ; 02B7: 0AA8

label_2b8
; jump here from: 02B5
        movf            TMR1H, W    ; 02B8: 080F
        movwf           mem_29      ; 02B9: 00A9
        movf            TMR1L, W    ; 02BA: 080E
        movwf           mem_2a      ; 02BB: 00AA
        clrf            mem_43
        movf            mem_28, W   ; 02BD: 0828
        movwf           mem_42      ; 02BE: 00C2
        movf            mem_29, W   ; 02BF: 0829
        movwf           mem_41      ; 02C0: 00C1
        movf            mem_2a, W   ; 02C1: 082A
        movwf           mem_40      ; 02C2: 00C0
        btfsc           PORTA, 5    ; 02C3: 1A85
        goto            label_2d3   ; 02C4: 2AD3

        clrf            mem_47
        clrf            mem_46
        movlw           0x01        ; 02C7: 3001
        movwf           mem_45      ; 02C8: 00C5
        movlw           0xc7        ; 02C9: 30C7
        movwf           mem_44      ; 02CA: 00C4
        call            sub_0ec     ; 02CB: 20EC

        movf            mem_4a, W   ; 02CC: 084A
        movwf           mem_28      ; 02CD: 00A8
        movf            mem_49, W   ; 02CE: 0849
        movwf           mem_29      ; 02CF: 00A9
        movf            mem_48, W   ; 02D0: 0848
        movwf           mem_2a      ; 02D1: 00AA
        goto            label_2e2   ; 02D2: 2AE2

label_2d3
; jump here from: 02C4
        btfsc           PORTA, 4    ; 02D3: 1A05
        goto            label_2e2   ; 02D4: 2AE2

        clrf            mem_47
        clrf            mem_46
        movlw           0x29        ; 02D7: 3029
        movwf           mem_45      ; 02D8: 00C5
        movlw           0xcc        ; 02D9: 30CC
        movwf           mem_44      ; 02DA: 00C4
        call            sub_0ec     ; 02DB: 20EC

        movf            mem_4a, W   ; 02DC: 084A
        movwf           mem_28      ; 02DD: 00A8
        movf            mem_49, W   ; 02DE: 0849
        movwf           mem_29      ; 02DF: 00A9
        movf            mem_48, W   ; 02E0: 0848
        movwf           mem_2a      ; 02E1: 00AA

label_2e2
; jump here from: 02D2
; jump here from: 02D4
        clrf            mem_21
        clrf            mem_22

label_2e4
; jump here from: 02FC
        clrf            mem_43
        clrf            mem_47
        movf            mem_28, W   ; 02E6: 0828
        movwf           mem_42      ; 02E7: 00C2
        movf            mem_29, W   ; 02E8: 0829
        movwf           mem_41      ; 02E9: 00C1
        movf            mem_2a, W   ; 02EA: 082A
        movwf           mem_40      ; 02EB: 00C0
        movlw           0x01        ; 02EC: 3001
        movwf           mem_46      ; 02ED: 00C6
        movlw           0x86        ; 02EE: 3086
        movwf           mem_45      ; 02EF: 00C5
        movlw           0xa0        ; 02F0: 30A0
        movwf           mem_44      ; 02F1: 00C4
        call            sub_0ec     ; 02F2: 20EC

        btfsc           mem_4b, 7   ; 02F3: 1BCB
        goto            label_2fd   ; 02F4: 2AFD

        incf            mem_21, f   ; 02F5: 0AA1
        movf            mem_4a, W   ; 02F6: 084A
        movwf           mem_28      ; 02F7: 00A8
        movf            mem_49, W   ; 02F8: 0849
        movwf           mem_29      ; 02F9: 00A9
        movf            mem_48, W   ; 02FA: 0848
        movwf           mem_2a      ; 02FB: 00AA
        goto            label_2e4   ; 02FC: 2AE4

label_2fd
; jump here from: 02F4
; jump here from: 0315
        clrf            mem_43
        clrf            mem_47
        movf            mem_28, W   ; 02FF: 0828
        movwf           mem_42      ; 0300: 00C2
        movf            mem_29, W   ; 0301: 0829
        movwf           mem_41      ; 0302: 00C1
        movf            mem_2a, W   ; 0303: 082A
        movwf           mem_40      ; 0304: 00C0
        movlw           0x00        ; 0305: 3000
        movwf           mem_46      ; 0306: 00C6
        movlw           0x27        ; 0307: 3027
        movwf           mem_45      ; 0308: 00C5
        movlw           0x10        ; 0309: 3010
        movwf           mem_44      ; 030A: 00C4
        call            sub_0ec     ; 030B: 20EC

        btfsc           mem_4b, 7   ; 030C: 1BCB
        goto            label_316   ; 030D: 2B16

        incf            mem_22, f   ; 030E: 0AA2
        movf            mem_4a, W   ; 030F: 084A
        movwf           mem_28      ; 0310: 00A8
        movf            mem_49, W   ; 0311: 0849
        movwf           mem_29      ; 0312: 00A9
        movf            mem_48, W   ; 0313: 0848
        movwf           mem_2a      ; 0314: 00AA
        goto            label_2fd   ; 0315: 2AFD

label_316
; jump here from: 030D
        movf            mem_29, W   ; 0316: 0829
        movwf           mem_4d      ; 0317: 00CD
        movf            mem_2a, W   ; 0318: 082A
        movwf           mem_4c      ; 0319: 00CC
        call            sub_047     ; 031A: 2047

        movf            mem_51, W   ; 031B: 0851
        movwf           mem_23      ; 031C: 00A3
        movf            mem_50, W   ; 031D: 0850
        movwf           mem_24      ; 031E: 00A4
        movf            mem_4f, W   ; 031F: 084F
        movwf           mem_25      ; 0320: 00A5
        movf            mem_4e, W   ; 0321: 084E
        movwf           mem_26      ; 0322: 00A6
        movf            mem_21, W   ; 0323: 0821
        movwf           mem_2b      ; 0324: 00AB
        movlw           0x0a        ; 0325: 300A
        subwf           mem_21, W   ; 0326: 0221
        btfss           STATUS, C   ; 0327: 1C03
        goto            noCarry_32d ; 0328: 2B2D

        movlw           0x0b        ; 0329: 300B
        movwf           mem_21      ; 032A: 00A1
        movlw           0xfd        ; 032B: 30FD
        movwf           mem_2b      ; 032C: 00AB

noCarry_32d
; jump here from: 0328
        movlw           0xa0        ; 032D: 30A0
        movwf           INTCON      ; 032E: 008B
        bsf             mem_27, 2   ; 032F: 1527
        movf            mem_2b, W   ; 0330: 082B
        call            sub_356     ; 0331: 2356

        movf            mem_22, W   ; 0332: 0822
        call            sub_356     ; 0333: 2356

        movf            mem_23, W   ; 0334: 0823
        call            sub_356     ; 0335: 2356

        movlw           0xfe        ; 0336: 30FE
        call            sub_356     ; 0337: 2356

        movf            mem_24, W   ; 0338: 0824
        call            sub_356     ; 0339: 2356

        movf            mem_25, W   ; 033A: 0825
        call            sub_356     ; 033B: 2356

        movf            mem_26, W   ; 033C: 0826
        call            sub_356     ; 033D: 2356

        movlw           0x01        ; 033E: 3001
        movwf           mem_7d      ; 033F: 00FD
        movlw           0x15        ; 0340: 3015
        movwf           mem_7e      ; 0341: 00FE
        movlw           0xb4        ; 0342: 30B4
        movwf           mem_7f      ; 0343: 00FF
        call            sub_027     ; 0344: 2027

        goto            label_27e   ; 0345: 2A7E

;------------------------------------------------------------
sub_346
;
; called from: 01EE
; called from: 01F3
; called from: 01F8
; called from: 01FD
; called from: 0202
; called from: 0207
; called from: 020A
; called from: 020D
; called from: 0210
; called from: 0215
; called from: 021A
; called from: 021F
; called from: 0224
; called from: 0229
; called from: 022C
; called from: 022F
; called from: 023C
; called from: 0241
; called from: 0246
; called from: 024B
; called from: 0250
; called from: 0255
; called from: 0258
; called from: 025B
; called from: 025E
; called from: 0263
; called from: 0268
; called from: 026D
; called from: 0272
; called from: 0277
; called from: 027A
; called from: 027D

        movlw           0x00        ; 0346: 3000
        movwf           mem_7d      ; 0347: 00FD
        movlw           0x10        ; 0348: 3010
        movwf           mem_7e      ; 0349: 00FE
        movlw           0x1f        ; 034A: 301F
        movwf           mem_7f      ; 034B: 00FF
        call            sub_027     ; 034C: 2027

        return                      ; 034D: 0008
;
; end of sub_346
;------------------------------------------------------------


;------------------------------------------------------------
sub_34e
;
; called from: 0140
        movlw           0x00        ; 034E: 3000
        movwf           mem_7d      ; 034F: 00FD
        movlw           0x4f        ; 0350: 304F
        movwf           mem_7e      ; 0351: 00FE
        movlw           0x57        ; 0352: 3057
        movwf           mem_7f      ; 0353: 00FF
        call            sub_027     ; 0354: 2027

        return                      ; 0355: 0008
;
; end of sub_34e
;------------------------------------------------------------


;------------------------------------------------------------
sub_356
;
; called from: 0331
; called from: 0333
; called from: 0335
; called from: 0337
; called from: 0339
; called from: 033B
; called from: 033D

sub_356
; jump here from: 0357
        btfss           PIR1, TXIF  ; 0356: 1E0C
        goto            sub_356     ; 0357: 2B56

        addlw           0x30        ; 0358: 3E30
        movwf           TXREG       ; 0359: 0099
        movlw           0x00        ; 035A: 3000
        movwf           mem_7d      ; 035B: 00FD
        movlw           0x05        ; 035C: 3005
        movwf           mem_7e      ; 035D: 00FE
        movlw           0x1f        ; 035E: 301F
        movwf           mem_7f      ; 035F: 00FF
        call            sub_027     ; 0360: 2027

        return                      ; 0361: 0008
;
; end of sub_356
;------------------------------------------------------------

                                    ; 0362: 0000
                                    ; 2007: 3D32


;------------- symbol definitions ------------------

mem_00    equ   0x00
mem_20    equ   0x20
mem_21    equ   0x21
mem_22    equ   0x22
mem_23    equ   0x23
mem_24    equ   0x24
mem_25    equ   0x25
mem_26    equ   0x26
mem_27    equ   0x27
mem_28    equ   0x28
mem_29    equ   0x29
mem_2a    equ   0x2A
mem_2b    equ   0x2B
mem_31    equ   0x31
mem_40    equ   0x40
mem_41    equ   0x41
mem_42    equ   0x42
mem_43    equ   0x43
mem_44    equ   0x44
mem_45    equ   0x45
mem_46    equ   0x46
mem_47    equ   0x47
mem_48    equ   0x48
mem_49    equ   0x49
mem_4a    equ   0x4A
mem_4b    equ   0x4B
mem_4c    equ   0x4C
mem_4d    equ   0x4D
mem_4e    equ   0x4E
mem_4f    equ   0x4F
mem_50    equ   0x50
mem_51    equ   0x51
mem_52    equ   0x52
mem_53    equ   0x53
mem_54    equ   0x54
mem_55    equ   0x55
mem_56    equ   0x56
mem_57    equ   0x57
mem_5c    equ   0x5C
mem_5d    equ   0x5D
mem_5e    equ   0x5E
mem_5f    equ   0x5F
mem_7d    equ   0x7D
mem_7e    equ   0x7E
mem_7f    equ   0x7F


;---------------------------------------------------


        end


